## rsyslog 7.4.4

=== debian/changelog ===
rsyslog (7.4.4-1ubuntu2.3) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    invalid PRI value
    - debian/patches/CVE-2014-3634.patch: limit PRI values in
      grammar/rainerscript.h, plugins/imfile/imfile.c,
      plugins/imklog/imklog.c, plugins/imkmsg/imkmsg.c,
      plugins/imsolaris/imsolaris.c, plugins/imuxsock/imuxsock.c,
      runtime/msg.c, runtime/parser.c, runtime/rsyslog.h,
      runtime/srutils.c, runtime/syslogd-types.h, runtime/typedefs.h,
      tools/syslogd.c.
    - CVE-2014-3634
    - CVE-2014-3683

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Oct 2014 11:32:50 -0400

rsyslog (7.4.4-1ubuntu2.1) trusty; urgency=medium

  * Enable non-kernel facility klog messages. (LP: #1274444) 

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Tue, 19 Aug 2014 14:51:26 -0500

rsyslog (7.4.4-1ubuntu2) trusty; urgency=low

  * debian/rsyslog.postinst: Make sure /var/log is owned by group syslog and
    is group-writeable (LP: #1256695).
  * Ensure that rsyslogd can create files in group adm, even when dropping
    group privileges to syslog (LP: #484336):
    - debian/patches/10-initgroups.patch: Try to set appropriate
      supplementary groups before dropping UID.
    - debian/rsyslog.postinst: Add syslog user to group adm.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Dec 2013 13:12:07 +0000

rsyslog (7.4.4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Run as rsyslog:rsyslog, set $FileOwner to syslog
    - Replace init script with debian/rsyslog.upstart.
    - debian/rsyslog.logrotate: Use reload command to restart rsyslog
    - debian/rsyslog.conf: enable $RepeatedMsgReduction
      to avoid bloating the syslog file.
    - Add debian/rsyslog.dmesg.upstart to save initial dmesg into a file.
      Install it in debian/rules.
    - debian/50-default.conf: set of default rules for syslog (forwarded to
      Debian #603160). remove file in postrm on purge. manage with ucf.
    - Add disabled by default AppArmor profile:
      + debian/rsyslog.upstart: add pre-start stanza to load profile
      + add debian/usr.sbin.rsyslogd profile
      + debian/rules: use dh_apparmor to install profile before rsyslog is
        restarted
      + debian/control: suggests apparmor (>= 2.3)
      + debian/rsyslog.install: install profile to /etc/apparmor.d
      + debian/rsyslog.dirs: install /etc/apparmor.d/force-complain,
        and /etc/apparmor.d/disable
      + debian/rsyslog.preinst: disable profile on clean install or upgrades
        from earlier than when we shipped the profile
      + debian/control: Build-Depends on dh-apparmor
    - debian/rsyslog.postrm: fixed typo "dissappear" to "disappear".
    - debian/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
    - Adjust rsyslog init script to detect upstart, making the upstart
      patches upstreamable to Debian.
    - Add versioned dependency on lsb-base for the use of init_is_upstart.
  * Dropped changes:
    - debian/patches/04-fix_startup_deadlock.patch: superseded upstream.
    - debian/patches/201-PreserveFQDN-not-working: originally from upstream.
    - debian/patches/202-off-by-one-regression-1187808.patch: originally
      from upstream.
  * debian/rules: filter out -Wl,-Bsymbolic-functions only, instead of
    overriding all LDFLAGS.
  * Drop rsyslog-mongodb package, depends on libmongo-client which is not
    in main.
  * Drop mmnormalize module, which depends on liblognorm from universe.
  * Build with --disable-silent-rules to get useful build logs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Oct 2013 15:31:38 -0700

rsyslog (7.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Sep 2013 22:42:49 +0200

rsyslog (7.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Jul 2013 01:01:40 +0200

rsyslog (7.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Jul 2013 00:14:19 +0200

rsyslog (7.4.1-3) unstable; urgency=low

  * Bump Build-Depends on dh-systemd to (>= 1.4) to ensure we have a recent
    enough version of init-system-helpers which properly deals with a missing
    state directory. (Closes: #714265)

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Jun 2013 19:21:04 +0200

rsyslog (7.4.1-2) unstable; urgency=low

  * Use dh-systemd to setup the systemd service properly.

 -- Michael Biebl <biebl@debian.org>  Wed, 26 Jun 2013 21:13:33 +0200

rsyslog (7.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Jun 2013 23:38:51 +0200

rsyslog (7.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Jun 2013 18:51:11 +0200

rsyslog (7.3.15-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 May 2013 18:21:02 +0200

rsyslog (7.3.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 May 2013 01:41:23 +0200

rsyslog (7.3.14-1) experimental; urgency=low

  * New upstream release.
  * Remove 02-fix-non-libgcrypt-build.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 May 2013 23:44:17 +0200

rsyslog (7.3.12-3) experimental; urgency=low

  * Only build and install the imkmsg module on Linux.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Apr 2013 16:46:19 +0200

rsyslog (7.3.12-2) experimental; urgency=low

  * Fix build when libgcrypt support is disabled to not pick up an unnecessary
    libgcrypt dependency.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Apr 2013 23:44:03 +0200

rsyslog (7.3.12-1) experimental; urgency=low

  * New upstream release.
  * Disable log file encryption support for now.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Apr 2013 15:14:37 +0200

rsyslog (7.3.10-1) experimental; urgency=low

  * New upstream release.

