=== debian/watch ===
version=3
http://rsyslog.com/tag/stable/ .*rsyslog-(.*)\.tar\.gz
