## rsyslog 7.4.8

=== debian/changelog ===
rsyslog (7.4.8-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Mar 2014 00:29:57 +0100

rsyslog (7.4.8-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream release.
  * Update Build-Depends:
    - Bump libestr-dev to (>= 0.1.9).
    - Tighten liblognorm-dev to (<< 1.0.0).
    - Replace libjson0-dev with libjson-c-dev, we no longer need the
      transitional package.
  * Bump Standards-Version to 3.9.5. No further changes.

  [ Daniel Pocock ]
  * Make template parameter not mandatory in mongodb output plugin. Patch
    cherry-picked from upstream Git. (Closes: #740869, #721277)
  * Ensure JSON templates are NUL terminated. Patch cherry-picked from
    upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Mar 2014 19:52:49 +0100
