=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                dpkg-dev (>= 1.16.1),
                dh-autoreconf,
-               dh-apparmor,
                dh-systemd (>= 1.4),
                zlib1g-dev,
                libmysqlclient-dev,
                libpq-dev,
+               libmongo-client-dev (>= 0.1.4),
                libkrb5-dev,
                libgnutls-dev,
                librelp-dev (>= 1.0.3),
-               libestr-dev (>= 0.1.5),
-               libjson0-dev,
+               libestr-dev (>= 0.1.9),
+               libee-dev (>= 0.4.0),
+               liblognorm-dev (>= 0.3.1),
+               liblognorm-dev (<< 1.0.0),
+               libjson-c-dev,
                uuid-dev,
                pkg-config,
                bison
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
 Homepage: http://www.rsyslog.com/
@@ -33,17 +35,15 @@
           linux-kernel-log-daemon
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         lsb-base (>= 4.1+Debian3),
-         initscripts (>= 2.88dsf-13.3),
-         adduser,
-         ucf
+         lsb-base (>= 3.2-14),
+         initscripts (>= 2.88dsf-13.3)
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
+          rsyslog-mongodb,
           rsyslog-doc,
           rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.3)
+          rsyslog-relp
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -103,6 +103,17 @@
  This plugin allows rsyslog to write the syslog messages into a PostgreSQL
  database.
 
+Package: rsyslog-mongodb
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+Recommends: mongodb-server
+Description: MongoDB output plugin for rsyslog
+ This plugin allows rsyslog to write the syslog messages to MongoDB, a
+ scalable, high-performance, open source NoSQL database.
+
 Package: rsyslog-gssapi
 Architecture: any
 Priority: extra
