=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-# the default LDFLAGS="-Wl,-Bsymbolic-functions" caused rsyslog to
-# segfault on receipt of first message (see LP: #794230)
-DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -20,9 +16,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(confflags) \
-		--disable-silent-rules \
 		--enable-mysql \
 		--enable-pgsql \
+		--enable-ommongodb \
 		--enable-mail \
 		--enable-imfile \
 		--enable-impstats \
@@ -38,6 +34,7 @@
 		--enable-omprog \
 		--enable-omuxsock \
 		--enable-mmanon \
+		--enable-mmnormalize \
 		--enable-mmjsonparse \
 		--disable-libgcrypt \
 		--disable-testbench \
@@ -63,6 +60,4 @@
 	dh_compress -X rsyslog-example.conf
 
 override_dh_installinit:
-	dh_apparmor --profile-name=usr.sbin.rsyslogd -prsyslog
 	dh_installinit -R
-	dh_installinit --upstart-only --name=dmesg --no-start
