## rsyslog 7.5.3

=== debian/changelog ===
rsyslog (7.5.3-2) wheezy; urgency=low

  * Added support for some new packages

 -- Andre Lorbach <alorbach@adiscon.com>  Mon, 07 Oct 2013 10:54:09 +0200

rsyslog (7.5.3-1) wheezy; urgency=low

  * Initial V7-Devel build for debian wheezy based on unstable branch

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 04 Oct 2013 17:43:31 +0200
