=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8),
-               dpkg-dev (>= 1.16.1),
-               dh-autoreconf,
-               dh-systemd (>= 1.4),
-               zlib1g-dev,
-               libmysqlclient-dev,
-               libpq-dev,
-               libmongo-client-dev (>= 0.1.4),
-               libkrb5-dev,
-               libgnutls-dev,
-               librelp-dev (>= 1.0.3),
-               libestr-dev (>= 0.1.9),
-               libee-dev (>= 0.4.0),
-               liblognorm-dev (>= 0.3.1),
-               liblognorm-dev (<< 1.0.0),
-               libjson-c-dev,
-               uuid-dev,
-               pkg-config,
-               bison
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
+Maintainer: Andre Lorbach <alorbach@adiscon.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Build-Depends:	debhelper (>= 8),
+		dpkg-dev (>= 1.16.1),
+		dh-autoreconf,
+		dh-systemd (>= 1.4),
+		zlib1g-dev,
+		libmysqlclient-dev,
+		libpq-dev,
+		libmongo-client-dev (>= 0.1.4),
+		libkrb5-dev,
+		libgnutls-dev,
+		librelp-dev (>= 1.0.3),
+		libestr-dev (>= 0.1.5),
+		libee-dev (>= 0.4.0),
+		liblognorm-dev (>= 0.3.1),
+		libjson0-dev,
+		uuid-dev,
+		pkg-config,
+		libcurl4-gnutls-dev,
+		bison,
+		libgt-dev,
+		python-docutils
+Standards-Version: 3.9.4
+XSBC-Original-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
+XSBC-Original-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
 Homepage: http://www.rsyslog.com/
 
 Package: rsyslog
@@ -43,7 +46,10 @@
           rsyslog-doc,
           rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp
+          rsyslog-relp,
+          rsyslog-elasticsearch,
+          rsyslog-mmjsonparse,
+          rsyslog-imptcp
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -147,3 +153,33 @@
  These plugins allows rsyslog to send and receive syslog messages via the
  RELP protocol. RELP ensures reliable transport over the network even on
  connection loss or if a peer becomes unavailable.
+
+Package: rsyslog-elasticsearch
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version})
+Description: Elasticsearch output support for rsyslog
+ This output plugin is for indexing your syslog messages in
+ Elasticsearch, via JSON over HTTP.
+
+Package: rsyslog-imptcp
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version})
+Description: High-performance, threaded TCP input module for rsyslog
+ This is a plugin which offers similar functionality to imtcp,
+ only it's optimized for performance and you can configure multiple
+ threads.
+
+Package: rsyslog-mmfields
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+         liblognorm0
+Description: Parse all fields of the message into structured data inside the JSON tree.
