=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 		--enable-mmanon \
 		--enable-mmnormalize \
 		--enable-mmjsonparse \
+                --enable-elasticsearch \
+                --enable-imptcp \
+		--enable-guardtime \
+		--enable-mmfields \
 		--disable-libgcrypt \
 		--disable-testbench \
 		--with-systemdsystemunitdir=/lib/systemd/system
