## rsyslog 7.6.3

=== debian/changelog ===
rsyslog (7.6.3-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Michael Biebl <biebl@debian.org>  Fri, 23 May 2014 22:47:49 +0200

rsyslog (7.6.3-2) unstable; urgency=medium

  * Update Build-Depends:
    - Bump librelp-dev to (>= 1.2.5).
  * Build omelasticsearch module which provides support for logging to an
    Elasticsearch server. Split that module into a separate package called
    rsyslog-elasticsearch. (Closes: #744951)

 -- Michael Biebl <biebl@debian.org>  Fri, 16 May 2014 22:37:05 +0200

rsyslog (7.6.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes ompipe to properly handle retries and not cause unnecessary
      suspension messages. (Closes: #742113)
  * Update watch file, track v7 stable branch.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Mar 2014 12:36:45 +0100

rsyslog (7.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Update Build-Depends:
    - Bump librelp-dev to (>= 1.2.4).
    - Add liblogging-stdlog-dev (>= 1.0.1).
  * Fix typo in rsyslog.postrm: dissappear → disappear
  * Drop useless "exit 0" from maintainer scripts.
  * Enable and install the mmutf8fix, mmpstrucdata and mmsequence message
    modification modules.
  * Stop installing debian/sample.conf. Upstream ships a more up-to-date
    example configuration file.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Mar 2014 17:26:08 +0100

rsyslog (7.4.3-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Aug 2013 15:07:25 +0200
