=== debian/control ===
--- 
+++ 
@@ -1,32 +1,31 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Andre Lorbach <alorbach@adiscon.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends:	debhelper (>= 8),
-		dpkg-dev (>= 1.16.1),
-		dh-autoreconf,
-		dh-systemd (>= 1.4),
-		zlib1g-dev,
-		libmysqlclient-dev,
-		libpq-dev,
-		libmongo-client-dev (>= 0.1.4),
-		libkrb5-dev,
-		libgnutls-dev,
-		librelp-dev (>= 1.0.3),
-		libestr-dev (>= 0.1.5),
-		libee-dev (>= 0.4.0),
-		liblognorm-dev (>= 0.3.1),
-		libjson0-dev,
-		uuid-dev,
-		pkg-config,
-		libcurl4-gnutls-dev,
-		bison,
-		libgt-dev,
-		python-docutils
-Standards-Version: 3.9.4
-XSBC-Original-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
-XSBC-Original-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
+Maintainer: Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 8),
+               dpkg-dev (>= 1.16.1),
+               dh-autoreconf,
+               dh-systemd (>= 1.4),
+               zlib1g-dev,
+               libmysqlclient-dev,
+               libpq-dev,
+               libmongo-client-dev (>= 0.1.4),
+               libcurl4-gnutls-dev,
+               libkrb5-dev,
+               libgnutls-dev,
+               librelp-dev (>= 1.2.5),
+               libestr-dev (>= 0.1.9),
+               libee-dev (>= 0.4.0),
+               liblognorm-dev (>= 0.3.1),
+               liblognorm-dev (<< 1.0.0),
+               liblogging-stdlog-dev (>= 1.0.1),
+               libjson-c-dev,
+               uuid-dev,
+               pkg-config,
+               bison
+Standards-Version: 3.9.5
+Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
 Homepage: http://www.rsyslog.com/
 
 Package: rsyslog
@@ -46,10 +45,7 @@
           rsyslog-doc,
           rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          rsyslog-elasticsearch,
-          rsyslog-mmjsonparse,
-          rsyslog-imptcp
+          rsyslog-relp
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -93,7 +89,7 @@
 Recommends: mysql-client
 Suggests: mysql-server
 Description: MySQL output plugin for rsyslog
- This plugin allows rsyslog to write the syslog messages into a MySQL database.
+ This plugin allows rsyslog to write syslog messages into a MySQL database.
 
 Package: rsyslog-pgsql
 Architecture: any
@@ -106,7 +102,7 @@
 Recommends: postgresql-client
 Suggests: postgresql
 Description: PostgreSQL output plugin for rsyslog
- This plugin allows rsyslog to write the syslog messages into a PostgreSQL
+ This plugin allows rsyslog to write syslog messages into a PostgreSQL
  database.
 
 Package: rsyslog-mongodb
@@ -117,8 +113,19 @@
          rsyslog (= ${binary:Version}),
 Recommends: mongodb-server
 Description: MongoDB output plugin for rsyslog
- This plugin allows rsyslog to write the syslog messages to MongoDB, a
+ This plugin allows rsyslog to write syslog messages to MongoDB, a
  scalable, high-performance, open source NoSQL database.
+
+Package: rsyslog-elasticsearch
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+Description: Elasticsearch output plugin for rsyslog
+ This plugin allows rsyslog to write syslog messages to Elasticsearch, a
+ distributed, multitenant-capable full-text search engine with a RESTful web
+ interface and schema-free JSON documents.
 
 Package: rsyslog-gssapi
 Architecture: any
@@ -150,36 +157,6 @@
          ${misc:Depends},
          rsyslog (= ${binary:Version})
 Description: RELP protocol support for rsyslog
- These plugins allows rsyslog to send and receive syslog messages via the
+ These plugins allow rsyslog to send and receive syslog messages via the
  RELP protocol. RELP ensures reliable transport over the network even on
  connection loss or if a peer becomes unavailable.
-
-Package: rsyslog-elasticsearch
-Architecture: any
-Priority: extra
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         rsyslog (= ${binary:Version})
-Description: Elasticsearch output support for rsyslog
- This output plugin is for indexing your syslog messages in
- Elasticsearch, via JSON over HTTP.
-
-Package: rsyslog-imptcp
-Architecture: any
-Priority: extra
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         rsyslog (= ${binary:Version})
-Description: High-performance, threaded TCP input module for rsyslog
- This is a plugin which offers similar functionality to imtcp,
- only it's optimized for performance and you can configure multiple
- threads.
-
-Package: rsyslog-mmfields
-Architecture: any
-Priority: extra
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         rsyslog (= ${binary:Version}),
-         liblognorm0
-Description: Parse all fields of the message into structured data inside the JSON tree.
