=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 		--enable-mysql \
 		--enable-pgsql \
 		--enable-ommongodb \
+		--enable-elasticsearch \
 		--enable-mail \
 		--enable-imfile \
 		--enable-impstats \
@@ -36,10 +37,9 @@
 		--enable-mmanon \
 		--enable-mmnormalize \
 		--enable-mmjsonparse \
-                --enable-elasticsearch \
-                --enable-imptcp \
-		--enable-guardtime \
-		--enable-mmfields \
+		--enable-mmutf8fix \
+		--enable-mmpstrucdata \
+		--enable-mmsequence \
 		--disable-libgcrypt \
 		--disable-testbench \
 		--with-systemdsystemunitdir=/lib/systemd/system
