=== debian/watch ===
version=3
http://rsyslog.com/downloads/download-v7-stable/ .*/rsyslog-(.*)\.tar\.gz
