## rsyslog 8.4.2

=== debian/changelog ===
rsyslog (8.4.2-1+devuan1u2~10.gbp50d640) UNRELEASED; urgency=medium

  ** SNAPSHOT build @50d640e5a18046a2001961443f85e3302aafc576 **

  * Initial Devuanisation
  * add libgcrypt20-dev dependency (needed for gnutls)
  * Update changelog for 8.4.2-1+devuan1u2~1.gbpeb3da2 release
  * fix missing valgrind dep check effecting tests:
  * Update changelog for 8.4.2-1+devuan1u2~2.gbpe8053b release
  * restore missing tests/es_response_get_msgnum.py
  * Update changelog for 8.4.2-1+devuan1u2~3.gbp54deda release
  * need curl for elasticsearch tests
  * Update changelog for 8.4.2-1+devuan1u2~4.gbpe6ccbb release
  * remove elasticsearch dependency
  * Update changelog for 8.4.2-1+devuan1u2~5.gbp134838 release
  * add build depends on elasticsearch
  * Update changelog for 8.4.2-1+devuan1u2~6.gbpfacf71 release
  * fix missing "'" in builddeps
  * Update changelog for 8.4.2-1+devuan1u2~7.gbp0cb1d7 release
  * Update changelog for 8.4.2-1+devuan1u2~8.gbpeffa70 release
  * quilt patch to add skip if no elasticsearch
  * Update changelog for 8.4.2-1+devuan1u2~9.gbp65bfa5 release
  * remove depends on elasticsearch

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 23 Dec 2016 07:49:03 +1300

rsyslog (8.4.2-1+deb8u2) jessie; urgency=medium

  * Fix crash in imfile module when using inotify mode.
    Patch cherry-picked from upstream Git. (Closes: #770998)
  * Prevent a segfault in dynafile creation.
    Patch cherry-picked from upstream Git. (Closes: #807908)

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Dec 2015 13:34:01 +0100

rsyslog (8.4.2-1+deb8u1) jessie; urgency=medium

  * Disable transactions in ompgsql as they were not working properly.
    Patch cherry-picked from upstream Git. (Closes: #788183)

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Aug 2015 13:52:34 +0200

rsyslog (8.4.2-1) unstable; urgency=high

  * New upstream release.
    - CVE-2014-3683: The fix for CVE-2014-3634 incomplete. It did not cover
      cases where PRI values > MAX_INT caused integer overflows resulting in
      negative values.
  * Urgency high for the security fix.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Oct 2014 15:27:25 +0200

rsyslog (8.4.1-1) unstable; urgency=high

  * New upstream release.
    - CVE-2014-3634: Fix remote syslog vulnerability due to improper
      handling of invalid PRI values.
  * Drop patches which have been merged upstream.
  * Urgency high for the security fix.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Sep 2014 12:35:33 +0200

rsyslog (8.4.0-2) unstable; urgency=medium

  * Tweak rsyslog systemd service file. Add Documentation field and restart
    the rsyslogd daemon on failures.
  * Cherry-pick upstream patch to fix build failures on platforms without
    atomic instructions.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Aug 2014 19:36:33 +0200

rsyslog (8.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches:
    - Refresh 0001-Don-t-create-a-database.patch.
    - Drop 0002-Fix-pidfile-location.patch, merged upstream.
  * Add --disable-generate-man-pages to configure flags to avoid a build
    dependency on python-docutils. We don't ship the generated man pages
    anyway.
  * Add support for external message modification modules which are bound via
    the new native mmexternal module.

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Aug 2014 18:28:20 +0200

rsyslog (8.2.2-5) unstable; urgency=medium

  * Make sure to actually only create the temporary syslog.service symlink on
    upgrades and avoid the usage of readlink.

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Aug 2014 02:43:31 +0200

rsyslog (8.2.2-4) unstable; urgency=medium

  * Fix wheezy → jessie upgrade failure when running under systemd due to the
    syslog.service symlink temporarily being missing.

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Aug 2014 00:39:03 +0200

rsyslog (8.2.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 29 Jun 2014 14:40:56 +0200

rsyslog (8.2.2-2) experimental; urgency=medium

  * Merge changes from unstable branch.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Jun 2014 13:52:12 +0200

rsyslog (8.2.2-1) experimental; urgency=medium

  * New major upstream release.
    - Rewritten core engine providing higher performance and better
      scalability with complex configurations.
    - Simplified script execution.
    - Global variable support.
    - Output part was revamped completely and required changes to all output
      modules.
    - Support for external plugins which can be written in any language.
  * Switch watch file to track v8 stable branch.
  * Update Build-Depends:
    - Bump librelp-dev to (>= 1.2.5).
    - Bump liblogging-stdlog-dev to (>= 1.0.3).
    - Bump liblognorm-dev to (>= 1.0.0).
    - Drop libee-dev.
  * Drop the omruleset module which has been deprecated and replaced by the
    much more efficient RainerScript "call" statement.
  * Remove the rsyslog-doc package which is now built from a separate source
    package.
  * Fix pidfile location. The pidfile should be stored in /var/run, not /etc.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Jun 2014 21:16:19 +0200

rsyslog (7.6.3-3) unstable; urgency=medium

  * Build against libgnutls28-dev. (Closes: #752304)
  * Use canonical URIs for Vcs-* fields.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Jun 2014 13:44:55 +0200
