=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Daniel Reurich <daniel@centurion.net.nz>
 Build-Depends: debhelper (>= 8),
                dpkg-dev (>= 1.16.1),
                dh-autoreconf,
-               dh-systemd (>= 1.4),
                zlib1g-dev,
                libmysqlclient-dev,
                libpq-dev,
                libmongo-client-dev (>= 0.1.4),
                libcurl4-gnutls-dev,
                libkrb5-dev,
-               libgnutls-dev,
+               libgnutls28-dev,
                librelp-dev (>= 1.2.5),
                libestr-dev (>= 0.1.9),
-               libee-dev (>= 0.4.0),
-               liblognorm-dev (>= 0.3.1),
-               liblognorm-dev (<< 1.0.0),
-               liblogging-stdlog-dev (>= 1.0.1),
+               liblognorm-dev (>= 1.0.0),
+               liblogging-stdlog-dev (>= 1.0.3),
                libjson-c-dev,
                uuid-dev,
                pkg-config,
-               bison
+               bison,
+               libgcrypt20-dev,
+               curl
 Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
+Vcs-Git: git://git@git.devuan.org:pkg-admin/rsyslog.git
+Vcs-Browser: https://git.devuan.org/pkg-admin/rsyslog
 Homepage: http://www.rsyslog.com/
 
 Package: rsyslog
@@ -61,22 +60,6 @@
   * enterprise-class encrypted syslog relaying
  .
  It is the default syslogd on Debian systems.
-
-Package: rsyslog-doc
-Section: doc
-Priority: extra
-Architecture: all
-Breaks: rsyslog (<< 2.0.1-2)
-Replaces: rsyslog (<< 2.0.1-2)
-Depends: ${misc:Depends}
-Suggests: doc-base,
-          www-browser
-Description: documentation for rsyslog
- This package contains detailed HTML documentation for rsyslog.
- .
- It describes the general configuration file syntax for filters, actions,
- templates, etc, and has detailed information for all available configuration
- directives.
 
 Package: rsyslog-mysql
 Architecture: any
