=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 %:
-	dh $@ --with autoreconf,systemd
+	dh $@ --with autoreconf
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
+		--disable-imjournal \
+		--disable-omjournal \
 		--enable-kmsg
 endif
 
@@ -41,8 +43,9 @@
 		--enable-mmpstrucdata \
 		--enable-mmsequence \
 		--disable-libgcrypt \
-		--disable-testbench \
-		--with-systemdsystemunitdir=/lib/systemd/system
+		--enable-testbench \
+		--enable-imdiag \
+		--disable-generate-man-pages 
 
 override_dh_auto_install:
 	dh_auto_install
@@ -54,14 +57,11 @@
 override_dh_install:
 	dh_install -X .la --list-missing
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	install --mode=644 debian/tmp/usr/lib/rsyslog/imkmsg.so \
-		debian/rsyslog/usr/lib/rsyslog/
-	install --mode=644 debian/tmp/usr/lib/rsyslog/imptcp.so \
+	install --mode=644 \
+		debian/tmp/usr/lib/rsyslog/imkmsg.so \
+		debian/tmp/usr/lib/rsyslog/imptcp.so \
 		debian/rsyslog/usr/lib/rsyslog/
 endif
 
-override_dh_compress:
-	dh_compress -X rsyslog-example.conf
-
 override_dh_installinit:
 	dh_installinit -R
