## rsyslog 8.16.0

=== debian/changelog ===
rsyslog (8.16.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert "Enable CZMQ plugins", we don't have libczmq in jessie.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Mar 2016 02:24:45 +0100

rsyslog (8.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Enable more hardening flags via DEB_BUILD_MAINT_OPTIONS = hardening=+all.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Jan 2016 19:59:20 +0100

rsyslog (8.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/Skip-broken-mmnormalize-tests.patch, fixed upstream.
  * Add tests which are missing in the dist tarball and which are required to
    run the test suite.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Dec 2015 17:36:00 +0100

rsyslog (8.14.0-2) unstable; urgency=medium

  * Remove logging to /dev/xconsole from the default rsyslog configuration.
    It is a rarely used feature and causes rsyslog to repeatedly retry if
    there is noone reading from /dev/xconsole. Instead ship the configuration
    as example files and add instructions to README.Debian how one can
    re-enable support for xconsole. (Closes: #745492, #783687)
  * Remove section about sysklogd from README.Debian, sysklogd is not really
    relevant anymore nowadays.
  * Ship an example file for logging to the console on tty8 which can be
    dropped into /etc/rsyslog.d instead of having it as comment in
    /etc/rsyslog.conf.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2015 22:11:11 +0100

rsyslog (8.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Sat, 07 Nov 2015 20:23:05 +0100

rsyslog (8.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on liblognorm-dev to (>= 1.1.2) as per configure.ac.
  * Rebase patches.
  * Skip tests which are currently broken by the liblognorm update. According
    to upstream those failing tests point at a bug in liblognorm, not rsyslog
    itself. (Closes: #800873)

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Oct 2015 22:14:41 +0100

rsyslog (8.12.0-3) unstable; urgency=medium

  [ Louis Bouchard ]
  * Fix FTBFS on various architectures caused by a buffer overflow in tcpflood
    when running the test suite.

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Sep 2015 18:09:49 +0200

rsyslog (8.12.0-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop versioned Depends on initscripts. This dependency was added for the
    /run transition in wheezy and is no longer required.

  [ Luca Boccassi ]
  * Enable CZMQ plugins. (Closes: #798223)
  * Fix NULL pointer dereference in imczmq and omczmq.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Sep 2015 19:43:12 +0200

rsyslog (8.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Aug 2015 18:45:59 +0200

rsyslog (8.11.0-2) unstable; urgency=medium

  * Properly handle transactions in ompgsql. Patch cherry-picked from upstream
    Git. (Closes: #788183)

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jul 2015 02:49:48 +0200

rsyslog (8.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jun 2015 17:57:45 +0200

rsyslog (8.9.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 May 2015 23:13:31 +0200

rsyslog (8.9.0-2) experimental; urgency=medium

  [ Marc Fournier ]
  * Build omkafka module which provides support for publishing log messages to
    Apache Kafka. Split that module into a separate package called
    rsyslog-kafka. (Closes: #780365)

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Apr 2015 15:34:25 +0200

rsyslog (8.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Update gbp.conf to not use patch numbers to reduce the patch noise created
    by gbp-pq.
  * Rebase patches.
  * Drop obsolete section about compatibility levels from README.Debian.
  * Start modernizing rsyslog.conf and use the new style syntax.
  * Add virtual-mysql-client and virtual-mysql-server as alternatives to
    mysql-client and mysql-server. (Closes: #781972)

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Apr 2015 22:14:07 +0200

rsyslog (8.8.0-4) experimental; urgency=medium

  * Cherry-pick upstream patch which is supposed to fix $MaxMessageSize on
    various architectures.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Mar 2015 17:33:26 +0100

rsyslog (8.8.0-3) experimental; urgency=medium

  * Dump test-suite.log to stdout if test suite fails.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Mar 2015 12:28:31 +0100

rsyslog (8.8.0-2) experimental; urgency=medium

  * Enable and run test suite during build.
  * Add files from upstream Git repository which are missing in the dist
    tarball and are necessary to run the test suite.
  * Don't link tcpflood test binary against -lgcrypt. It's not necessary with
    current versions of GnuTLS.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Mar 2015 23:09:59 +0100

rsyslog (8.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Build-Depends on liblognorm-dev to (>= 1.0.2).
  * Explicitly enable liblogging-stdlog feature, which is now optional.
  * Remove obsolete --enable-pmrfc3164sd configure switch. This module has
    been removed by upstream.
  * Enable support for reading from and writing to the systemd journal
    directly via the imjournal and omjournal module.
    The default rsyslog configuration still uses the imuxsock module though,
    which receives the syslog messages via a socket that is passed from
    systemd to rsyslog.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Mar 2015 22:18:14 +0100

rsyslog (8.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-Browser URL to use cgit and https.
  * Bump Standards-Version to 3.9.6. No further changes.


