=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Daniel Reurich <daniel@centurion.net.nz>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                dpkg-dev (>= 1.16.1),
                dh-autoreconf,
+               dh-systemd (>= 1.4),
                zlib1g-dev,
                libmysqlclient-dev,
                libpq-dev,
                libmongo-client-dev (>= 0.1.4),
                libcurl4-gnutls-dev,
+               librdkafka-dev,
                libkrb5-dev,
                libgnutls28-dev,
                librelp-dev (>= 1.2.5),
                libestr-dev (>= 0.1.9),
-               liblognorm-dev (>= 1.0.0),
+               liblognorm-dev (>= 1.1.2),
                liblogging-stdlog-dev (>= 1.0.3),
                libjson-c-dev,
                uuid-dev,
+               libsystemd-dev (>= 209) [linux-any],
                pkg-config,
-               bison,
-               libgcrypt20-dev,
-               curl
-Standards-Version: 3.9.5
-Vcs-Git: git://git@git.devuan.org:pkg-admin/rsyslog.git
-Vcs-Browser: https://git.devuan.org/pkg-admin/rsyslog
+               bison
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/rsyslog.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rsyslog.git
 Homepage: http://www.rsyslog.com/
 
 Package: rsyslog
@@ -36,8 +37,7 @@
           linux-kernel-log-daemon
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         lsb-base (>= 3.2-14),
-         initscripts (>= 2.88dsf-13.3)
+         lsb-base (>= 3.2-14)
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
           rsyslog-mongodb,
@@ -69,8 +69,8 @@
          rsyslog (= ${binary:Version}),
          dbconfig-common,
          ucf
-Recommends: mysql-client
-Suggests: mysql-server
+Recommends: mysql-client | virtual-mysql-client
+Suggests: mysql-server | virtual-mysql-server
 Description: MySQL output plugin for rsyslog
  This plugin allows rsyslog to write syslog messages into a MySQL database.
 
@@ -110,6 +110,17 @@
  distributed, multitenant-capable full-text search engine with a RESTful web
  interface and schema-free JSON documents.
 
+Package: rsyslog-kafka
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+Description: Kafka output plugin for rsyslog
+ This plugin allows rsyslog to write syslog messages to Apache Kafka, a
+ distributed and scalable message broker offering strong durability and
+ fault-tolerance guarantees.
+
 Package: rsyslog-gssapi
 Architecture: any
 Priority: extra
