=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,18 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,systemd
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
-		--disable-imjournal \
-		--disable-omjournal \
+		--enable-imjournal \
+		--enable-omjournal \
 		--enable-kmsg
 endif
 
@@ -22,17 +23,18 @@
 		--enable-pgsql \
 		--enable-ommongodb \
 		--enable-elasticsearch \
+		--enable-omkafka \
 		--enable-mail \
 		--enable-imfile \
 		--enable-impstats \
 		--enable-klog \
+		--enable-liblogging-stdlog \
 		--enable-gssapi-krb5 \
 		--enable-gnutls \
 		--enable-relp \
 		--enable-pmaixforwardedfrom \
 		--enable-pmcisconames \
 		--enable-pmlastmsg \
-		--enable-pmrfc3164sd \
 		--enable-pmsnare \
 		--enable-omprog \
 		--enable-omuxsock \
@@ -45,7 +47,8 @@
 		--disable-libgcrypt \
 		--enable-testbench \
 		--enable-imdiag \
-		--disable-generate-man-pages 
+		--disable-generate-man-pages \
+		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_install:
 	dh_auto_install
@@ -60,8 +63,15 @@
 	install --mode=644 \
 		debian/tmp/usr/lib/rsyslog/imkmsg.so \
 		debian/tmp/usr/lib/rsyslog/imptcp.so \
+		debian/tmp/usr/lib/rsyslog/imjournal.so \
+		debian/tmp/usr/lib/rsyslog/omjournal.so \
 		debian/rsyslog/usr/lib/rsyslog/
 endif
 
 override_dh_installinit:
 	dh_installinit -R
+
+override_dh_auto_test:
+ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	make check || ( cat tests/test-suite.log; exit 1; )
+endif
